Search people with cursor pagination
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/scroll-people-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_size": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search"
payload = { "page_size": 50 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page_size: 50})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/scroll-people-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page_size' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search"
payload := strings.NewReader("{\n \"page_size\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/scroll-people-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page_size\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/scroll-people-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page_size\": 50\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"socials": {
"linkedin_url": "<string>"
},
"location": {
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
}
},
"position": "<string>",
"education": [
{
"degree": [
"<string>"
],
"endYear": 123,
"startYear": 123,
"institution": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"socialHandle": "<string>",
"institutionName": "<string>"
}
],
"image_url": "<string>",
"last_name": "<string>",
"seniority": "<string>",
"department": "<string>",
"first_name": "<string>",
"updated_at": "<string>",
"experiences": [
{
"type": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"endDate": "<string>",
"position": "<string>",
"isCurrent": true,
"isMatched": true,
"seniority": "<string>",
"startDate": "<string>",
"department": "<string>",
"companyName": "<string>"
}
]
}
],
"totalItems": 123,
"metadata": {
"totalMatching": 123
},
"nextCursor": "<string>",
"startIndex": 123,
"previousCursor": "<string>"
}CompanyEnrich
Search people with cursor pagination
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0193 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
companyenrich
/
scroll-people-search
Search people with cursor pagination
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/scroll-people-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_size": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search"
payload = { "page_size": 50 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page_size: 50})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/scroll-people-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page_size' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/scroll-people-search"
payload := strings.NewReader("{\n \"page_size\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/scroll-people-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page_size\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/scroll-people-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page_size\": 50\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"socials": {
"linkedin_url": "<string>"
},
"location": {
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
}
},
"position": "<string>",
"education": [
{
"degree": [
"<string>"
],
"endYear": 123,
"startYear": 123,
"institution": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"socialHandle": "<string>",
"institutionName": "<string>"
}
],
"image_url": "<string>",
"last_name": "<string>",
"seniority": "<string>",
"department": "<string>",
"first_name": "<string>",
"updated_at": "<string>",
"experiences": [
{
"type": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"endDate": "<string>",
"position": "<string>",
"isCurrent": true,
"isMatched": true,
"seniority": "<string>",
"startDate": "<string>",
"department": "<string>",
"companyName": "<string>"
}
]
}
],
"totalItems": 123,
"metadata": {
"totalMatching": 123
},
"nextCursor": "<string>",
"startIndex": 123,
"previousCursor": "<string>"
}请求规范
- 方法与路径: POST /apis/v1/companyenrich/scroll-people-search
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/companyenrich/scroll-people-search - Runtime 事实版本: 820bb7817c59193621186d0a7e630f3f0f7d277be8c4a30ac65cde11e8c585c7
{
"operationId": "companyenrich.scroll-people-search",
"method": "POST",
"path": "/apis/v1/companyenrich/scroll-people-search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 250,
"description": "The search query to apply on the company name and domain"
},
"cursor": {
"type": "string",
"maxLength": 1024,
"description": "The cursor to use for pagination. This is used for cursor based pagination. If this is set, Page will be ignored."
},
"domains": {
"type": "array",
"items": {
"type": "string"
},
"description": "The domains to find people for. Up to 100 domains are allowed."
},
"countries": {
"type": "array",
"items": {
"type": "string"
},
"description": "The 2 letter country codes to filter by"
},
"page_size": {
"maximum": 100,
"minimum": 1,
"type": "integer",
"description": "The number of results to return in each page. Must be between 1 and 100"
},
"seniority": {
"type": "array",
"items": {
"type": "string"
},
"description": "The seniorities to filter by (e.g., c-suite, director, manager, senior, entry)"
},
"department": {
"type": "array",
"items": {
"type": "string"
},
"description": "The departments to filter by (e.g., engineering-technical, sales, marketing)"
},
"position_query": {
"type": "array",
"items": {
"type": "string"
},
"description": "The list of search queries to apply on the person's current job position/title"
}
},
"required": [
"page_size"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0193,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0193 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0193
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
The number of results to return in each page. Must be between 1 and 100
必填范围:
1 <= x <= 100The search query to apply on the company name and domain
Maximum string length:
250The cursor to use for pagination. This is used for cursor based pagination. If this is set, Page will be ignored.
Maximum string length:
1024The domains to find people for. Up to 100 domains are allowed.
The 2 letter country codes to filter by
The seniorities to filter by (e.g., c-suite, director, manager, senior, entry)
The departments to filter by (e.g., engineering-technical, sales, marketing)
The list of search queries to apply on the person's current job position/title